## ptyxis 48.5

=== meson_options.txt ===
option('development', type: 'boolean', value: false, description: 'If this is a development build')
option('generic', type: 'combo', value: 'ptyxis',
       choices: ['ptyxis', 'terminal', 'builder'],
       description: 'How the application should be named')
option('app-id', type: 'string', value: '', description: 'An alternate app-id to use for the application')
option('gschema-id', type: 'string', value: '', description: 'An alternative gschema identifier prefix')
option('gschema-path', type: 'string', value: '', description: 'An alternative gschema path to use')

## ptyxis 47.2

=== debian/changelog ===
ptyxis (47.2-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release
  * Opt into Ubuntu palette on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 15:20:20 -0400

ptyxis (47.1-1) unstable; urgency=medium

  * New upstream release
  * Add patch to correct Ubuntu palette name
  * Add gsettings-override to opt into screen reader support
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Oct 2024 08:59:41 -0400

ptyxis (47~rc-2) experimental; urgency=medium

  * Update debian/copyright
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 08:28:27 -0400

ptyxis (47~rc-1) experimental; urgency=medium

  * Initial release. (Closes: #1061368)

 -- Alex Myczko <tar@debian.org>  Mon, 09 Sep 2024 12:15:22 +0000

=== debian/control ===
Source: ptyxis
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils,
 libglib2.0-dev (>= 2.80),
 libvte-2.91-gtk4-dev (>= 0.77),
 libportal-gtk4-dev,
 libjson-glib-dev,
 libadwaita-1-dev (>= 1.6~),
 libgtk-4-dev,
 meson,
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/chergert/ptyxis
Vcs-Browser: https://salsa.debian.org/gnome-team/ptyxis
Vcs-Git: https://salsa.debian.org/gnome-team/ptyxis.git

Package: ptyxis
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Modern terminal emulator for GNOME
 Ptyxis is a terminal for GNOME with first-class support for containers.
 This app provides significantly more preferences than gnome-console
 while arranging them in a simpler layout than gnome-terminal. Ptyxis
 is also crafted to be both fast and efficient.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

execute_before_dh_installgsettings:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	cp debian/gsettings-override.Ubuntu debian/gsettings-override
else
	cp debian/gsettings-override.in debian/gsettings-override
endif

## ptyxis 47.4

=== debian/changelog ===
ptyxis (47.4-1) unstable; urgency=medium

  * New upstream release
    - Fix setting background color (Closes: #1084046, LP: #2085901)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Oct 2024 11:01:18 +0100

## ptyxis 47.6

=== debian/changelog ===
ptyxis (47.6-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Dec 2024 16:08:26 -0500

ptyxis (47.5-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Nov 2024 16:15:34 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libgtk-4-dev,
  meson,
 Standards-Version: 4.7.0
-Homepage: https://gitlab.gnome.org/chergert/ptyxis
+Homepage: https://devsuite.app/ptyxis/
 Vcs-Browser: https://salsa.debian.org/gnome-team/ptyxis
 Vcs-Git: https://salsa.debian.org/gnome-team/ptyxis.git

## ptyxis 47.8

=== debian/changelog ===
ptyxis (47.8-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Jan 2025 16:30:26 -0500

ptyxis (47.7-1) unstable; urgency=medium

  * New upstream release
    - Hide top bar in Fullscreen mode (Closes: #1084047)
  * Run wrap-and-sort
  * Opt into Salsa CI
  * Opt into Ubuntu language packs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 13:56:56 -0500

=== debian/control ===
Source: ptyxis
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               desktop-file-utils,
               libadwaita-1-dev (>= 1.6~),
               libglib2.0-dev (>= 2.80),
               libgtk-4-dev,
               libjson-glib-dev,
               libportal-gtk4-dev,
               libvte-2.91-gtk4-dev (>= 0.77),
               meson
Standards-Version: 4.7.0
Homepage: https://devsuite.app/ptyxis/
Vcs-Browser: https://salsa.debian.org/gnome-team/ptyxis
Vcs-Git: https://salsa.debian.org/gnome-team/ptyxis.git

Package: ptyxis
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Modern terminal emulator for GNOME
 Ptyxis is a terminal for GNOME with first-class support for containers.
 This app provides significantly more preferences than gnome-console
 while arranging them in a simpler layout than gnome-terminal. Ptyxis
 is also crafted to be both fast and efficient.

## ptyxis 48~beta

=== debian/changelog ===
ptyxis (48~beta-2) unstable; urgency=medium

  * Add Depends: xdg-terminal-exec for the Set as Default Terminal button

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 19:07:08 -0500

ptyxis (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum vte
  * Cherry-pick a patch to support x-terminal-emulator
  * Cherry-pick 2 more fixes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 18:30:14 -0500

ptyxis (47.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Register as an implementation of x-terminal-emulator.
    xterm-compatible -e and -T options have been added in the new upstream
    release, so we do not need a wrapper like we did for gnome-terminal.
    (Closes: #1089704)

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Feb 2025 17:41:21 +0000

## ptyxis 48~rc

=== debian/changelog ===
ptyxis (48~rc-2) unstable; urgency=medium

  * Cherry-pick patches to fix issues with too high ulimit (LP: #2100485)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Mar 2025 17:41:29 -0400

ptyxis (48~rc-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 14:20:06 -0500

## ptyxis 48.1

=== debian/changelog ===
ptyxis (48.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 14:11:27 -0400

ptyxis (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 10:57:58 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libgtk-4-dev,
                libjson-glib-dev,
                libportal-gtk4-dev,
-               libvte-2.91-gtk4-dev (>= 0.77),
+               libvte-2.91-gtk4-dev (>= 0.79),
                meson
 Standards-Version: 4.7.0
 Homepage: https://devsuite.app/ptyxis/
@@ -23,7 +23,8 @@
 Package: ptyxis
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, xdg-terminal-exec
+Provides: x-terminal-emulator
 Description: Modern terminal emulator for GNOME
  Ptyxis is a terminal for GNOME with first-class support for containers.
  This app provides significantly more preferences than gnome-console

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
 else
 	cp debian/gsettings-override.in debian/gsettings-override
 endif
+
+override_dh_gnome_clean:

## ptyxis 48.3

=== debian/changelog ===
ptyxis (48.3-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream bugfix release

  [ Alex Myczko ]
  * Add README.Debian with note for transparency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 12:49:02 -0400

## ptyxis 48.4

=== debian/changelog ===
ptyxis (48.4-1) unstable; urgency=medium

  * New upstream bugfix release
  * Use Terminal branding instead of Ptyxis for Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 01 Jun 2025 08:34:27 -0400

## ptyxis 48.5

=== debian/changelog ===
ptyxis (48.5-1~deb13u1) trixie; urgency=medium

  * Team upload
  * d/control, d/gbp.conf: Set branches for trixie stable updates

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Aug 2025 15:40:46 +0100

ptyxis (48.5-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release
    - When saving tab state, if the terminal does not have a title, save the
      tab's initial title instead
      (ptyxis#428 upstream)
    - Use the same code for menu -> Show Open Tabs -> New Tab that was already
      used for Menu -> New Tab, fixing propagation of zoom settings to the
      newly created tab
      (ptyxis#435 upstream)
    - Don't try to chdir() to a working directory that does not have +x
      permission
    - Use g_set_str() for less error-prone property setting
    - Ensure that interface-style action isn't freed prematurely, and
      explicitly remove it when the window is destroyed, fixing a
      possible use-after-free when switching between dark and light modes
      (ptyxis#440 upstream)
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Jul 2025 10:09:31 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                libportal-gtk4-dev,
                libvte-2.91-gtk4-dev (>= 0.79),
                meson
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://devsuite.app/ptyxis/
 Vcs-Browser: https://salsa.debian.org/gnome-team/ptyxis
-Vcs-Git: https://salsa.debian.org/gnome-team/ptyxis.git
+Vcs-Git: https://salsa.debian.org/gnome-team/ptyxis.git -b debian/trixie
 
 Package: ptyxis
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,14 @@
 
 %:
 	dh $@
+
+# Use Terminal branding instead of Ptyxis for Ubuntu
+override_dh_auto_configure:
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+	dh_auto_configure -- -Dgeneric=terminal
+else
+	dh_auto_configure
+endif
 
 execute_before_dh_installgsettings:
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))

## ptyxis 49~rc

=== debian/changelog ===
ptyxis (49~rc-1) experimental; urgency=medium

  * Team upload
  * New upstream release (LP: #2122021)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 10:46:14 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                desktop-file-utils,
-               libadwaita-1-dev (>= 1.6~),
+               libadwaita-1-dev (>= 1.8~),
                libglib2.0-dev (>= 2.80),
                libgtk-4-dev,
                libjson-glib-dev,
@@ -18,7 +18,7 @@
 Standards-Version: 4.7.2
 Homepage: https://devsuite.app/ptyxis/
 Vcs-Browser: https://salsa.debian.org/gnome-team/ptyxis
-Vcs-Git: https://salsa.debian.org/gnome-team/ptyxis.git -b debian/trixie
+Vcs-Git: https://salsa.debian.org/gnome-team/ptyxis.git
 
 Package: ptyxis
 Architecture: any

## ptyxis 49.0

=== debian/changelog ===
ptyxis (49.0-1) unstable; urgency=medium

  * New upstream release
  * Use generic branding
  * debian/watch: convert to Version: 5
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 20:52:21 -0400

ptyxis (49~rc-2) experimental; urgency=medium

  * Remove obsolete Rules-Requires-Root: no field
  * Remove unnecessary X-Ubuntu-Use-Langpack: yes field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 06:43:29 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,7 @@
 
 # Use Terminal branding instead of Ptyxis for Ubuntu
 override_dh_auto_configure:
-ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	dh_auto_configure -- -Dgeneric=terminal
-else
-	dh_auto_configure
-endif
 
 execute_before_dh_installgsettings:
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))

## ptyxis 49.1

=== debian/changelog ===
ptyxis (49.1-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Sep 2025 16:30:33 -0400

ptyxis (49.0-2) unstable; urgency=medium

  * Fix not honoring --working-directory in first window (LP: #2124263)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Thu, 25 Sep 2025 11:51:34 -0400

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 %:
 	dh $@
 
-# Use Terminal branding instead of Ptyxis for Ubuntu
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgeneric=terminal

## ptyxis 49.2

=== debian/changelog ===
ptyxis (49.2-4) unstable; urgency=medium

  * custom-links: Support more variants for Debian & Launchpad bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 17:06:41 -0500

ptyxis (49.2-3) unstable; urgency=medium

  * Use a gsettings override for custom-links instead of a patch to handle
    Launchpad bug number links
  * Also handle links to closed Debian bugs
  * Simplify handling of Ubuntu gsettings override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Dec 2025 14:11:56 -0500

ptyxis (49.2-2) unstable; urgency=medium

  [ Marc Deslauriers ]
  * Add a patch to make LP: # references clickable URLs, similar to the
    longstanding behavior with Ubuntu's gnome-terminal (LP: #2136756)

  [ Jeremy Bícha ]
  * Override dh_gnome to avoid build log warnings
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Dec 2025 13:14:30 -0500

ptyxis (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Oct 2025 21:13:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: ptyxis
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
-Rules-Requires-Root: no
-X-Ubuntu-Use-Langpack: yes
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                desktop-file-utils,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgeneric=terminal

# Add an Ubuntu-specific line to the end of the gsettings override file
# Remove the final line afterwards
override_dh_installgsettings:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	echo "palette='Ubuntu'" >> debian/ptyxis.gsettings-override
	dh_installgsettings
	sed -i '$$d' debian/ptyxis.gsettings-override
else
	dh_installgsettings
endif

# Skip. We only use dh_gnome for dh_translations for Ubuntu
override_dh_gnome:

## ptyxis 50~beta

=== meson_options.txt ===
--- 
+++ 
@@ -5,3 +5,8 @@
 option('app-id', type: 'string', value: '', description: 'An alternate app-id to use for the application')
 option('gschema-id', type: 'string', value: '', description: 'An alternative gschema identifier prefix')
 option('gschema-path', type: 'string', value: '', description: 'An alternative gschema path to use')
+
+# Building with libc-compat is generally just useful when building the Flatpak
+# since that is where we will want to build a binary that can run on the host
+# outside of the Flatpak container.
+option('libc-compat', type: 'boolean', value: false, description: 'Try to build the agent with old glibc symbols for running on older hosts')

=== debian/changelog ===
ptyxis (50~beta-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * New upstream release

  [ Jeremy Bícha ]
  * Add Build-Depends: libxml2-utils for xmllint
  * custom-links: handle ITP: and RFP: links
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Feb 2026 11:37:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ptyxis
-Section: gnome
+Standards-Version: 4.7.3
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
+Section: gnome
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                desktop-file-utils,
@@ -11,16 +12,16 @@
                libjson-glib-dev,
                libportal-gtk4-dev,
                libvte-2.91-gtk4-dev (>= 0.79),
+               libxml2-utils,
                meson
-Standards-Version: 4.7.2
-Homepage: https://devsuite.app/ptyxis/
 Vcs-Browser: https://salsa.debian.org/gnome-team/ptyxis
 Vcs-Git: https://salsa.debian.org/gnome-team/ptyxis.git
+Homepage: https://devsuite.app/ptyxis/
 
 Package: ptyxis
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, xdg-terminal-exec
+Depends: xdg-terminal-exec, ${misc:Depends}, ${shlibs:Depends}
 Provides: x-terminal-emulator
 Description: Modern terminal emulator for GNOME
  Ptyxis is a terminal for GNOME with first-class support for containers.
